'ULTRASOUND DUAL PIC CONTROL BOARD PROGRAM
'JON SOWMAN
'PICAXE IC #2

'TO BE RUN ON AN 08/08M PICAXE ONLY

'pin 0 = status led
'pin 1 = shared PTM input, tie LOW
'pin 2 = pulsin, attach to LOGIC system output
'pin 3 = unused
'pin 4 = LCD display output (Serial Out)

'         -----                            -   -   -
'        |     | <--time of flight--->    | | | | | |
'        |ping |                          | | | | | |  echo
' -------       --------------------------   -   -   -

#picaxe08m

setfreq m8        'set to 8mhz

main:
high 0            'status led, show that IC is ready for input
do while pin1=0   'wait for input
loop
pulsin 2,0,w1     'wait for pulse on pin 2, start on a HIGH->LOW transition, end on LOW->HIGH
low 0
if w1 = 0 then errorout    'if the pulsin result is 0, it timed out
gosub processw1val
serout 4,N1200,(254,128,"                ",254,128,#w1,"cm")   'halve baud rate because of increased clock speed
pause 1000
goto main

errorout:
serout 4,N1200,(254,128,"            ",254,128,"No Response")
goto main

processw1val:
w1 = w1 * 17 / 200  'speed of sound is 340m/s at sea level
return


